Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui
Class TeamImages

    java.lang.Object
      org.eclipse.team.ui.TeamImages

public class TeamImages
extends Object

TeamImages provides convenience methods for accessing shared images provided by the org.eclipse.team.ui plug-in.

This class provides `ImageDescriptor`s for each named image in `ISharedImages`. All `Image` objects created from the provided descriptors are managed the caller and must be disposed appropriately.

Since:
  2.0

Constructor Summary
`TeamImages()`

Method Summary
`static ImageDescriptor` | `getImageDescriptor(String id)` Returns the image descriptor for the given image ID.
`static ImageDescriptor` | `getImageDescriptorFromExtension(IExtension extension, String subdirectoryAndFilename)` Convenience method to get an image descriptor for an extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeamImages

    public TeamImages()

Method Detail

### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(String id)

  Returns the image descriptor for the given image ID. Returns `null` if there is no such image.

  Parameters:
    `id` - the identifier for the image to retrieve
  Returns:
    the image descriptor associated with the given ID

### getImageDescriptorFromExtension

    public static ImageDescriptor getImageDescriptorFromExtension(IExtension extension,
                                                                  String subdirectoryAndFilename)

  Convenience method to get an image descriptor for an extension.

  Parameters:
    `extension` - the extension declaring the image
    `subdirectoryAndFilename` - the path to the image
  Returns:
    the image descriptor for the extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.